Package Details: libui-git alpha4.1.r314.g17486fd1-1

Git Clone URL: https://aur.archlinux.org/libui-git.git (read-only)
Package Base: libui-git
Description: A portable GUI library for C
Upstream URL: https://github.com/andlabs/libui
Keywords: libui ui
Licenses: MIT
Conflicts: libui
Provides: libui
Submitter: actionless
Maintainer: User
Last Packager: User
Votes: 6
Popularity: 0.002282
First Submitted: 2015-12-29 00:36
Last Updated: 2019-05-11 12:36

Latest Comments

m3thodic commented on 2019-05-11 10:08

Build process now uses meson/ninja, updated PKGBUILD here:

https://gist.github.com/tonylambiris/6804b2e50ba6823d3c1af6349f5fb225

Thanks!

User commented on 2017-10-27 12:15

Added, thanks!

TomaszGasior commented on 2017-10-27 10:19

Please add `cmake` package to `makedepends`.

User commented on 2016-12-05 14:01

Should be alright now, thanks!

cosarara97 commented on 2016-12-05 00:07

uitable.h doesn't seem to exist anymore:

install: cannot stat 'uitable.h': No such file or directory

actionless commented on 2016-10-10 20:54

i am not using it anymore, feel free to adopt

User commented on 2016-10-10 20:01

With uitable.h: https://gist.github.com/kornrunner/ef6c17efea96782d8fb3585c74a4c186

ecraven commented on 2016-06-21 06:51

PKGBUILD that works with cmake: https://gist.github.com/ecraven/cbca304b9abbfa3d49d43253c725b7aa

ecraven commented on 2016-06-14 12:22

I think libui has switched to cmake, so this package doesn't build any more.

queueRAM commented on 2016-06-07 15:32

Recently, libui switched to using cmake so the PKGBUILD will need to be updated. Note it doesn't appear to generate an 'install' target, so might have to manually 'install' the .so and .h files.